Subject: [nsc] inter-domain case (was RE: Service chaining architecture question)

From: <[email-masked]>
Date: Mon, 29 Jul 2013 10:35:41 +0200

Hi Diego,

Thank you for the answer. I still don't understand well the inter-domain use case you are referring to and why this is a requirements. In order to understand better the case and to make sure there is no terminology confusion, below some questions for you:  

* Do you have two administrative entities involved in your case?
* Are both domains managed by one single administrative entity?
* Who decide on the inter-domain function chains?
* Who is responsible for ensuring the overall consistency?
* Why the chaining policies are to be exposed to an external domain? Why each domain need to reveal its intra policies with regards to the way a network is engineered?
* Why not each of the domain enforces its policies without requiring any involvement of functions located in another external domain?
* Why chaining will modify the way networks managed by two distinct administrative entities will be interconnected?

Thanks.
Cheers,
Med

>-----Message d'origine-----
>De : Diego R. Lopez [mailto:[email-masked]]
>Envoyé : vendredi 26 juillet 2013 16:00
>À : BOUCADAIR Mohamed OLNC/OLN
>Cc : Carlos Pignataro (cpignata); [email-masked]; Jim Guichard (jguichar);
>NAPIERALA, MARIA H; Linda Dunbar; Paul Quinn (paulq); Ron Parker; Joel M.
>Halpern
>Objet : Re: [nsc] Service chaining architecture question
>
>Hi,
>
>Just a quick reflection while I try to recover from the enormous backlog
>caused by the NFV meeting
>
>On 26 Jul 2013, at 15:50 , <[email-masked]> wrote:
>>
>>> Narrowing the use-case, options seem to severely limit the ability to
>>> perform cross-domain service chains.
>>
>> [Med] Do you mean inter-domain? For whom this is a requirement? What is
>the use case for that? At least for our side, we don't see inter-domain as
>a requirement for this work.
>
>Precisely in NFV we are considering the possibility of such arrangements,
>where you could use NS-as-a-Service. With an appropriate "NSC/NLF/...
>control plane" we could support several labeling mechanisms, adapted intra-
>and inter-domain scenarios.
>
>Be goode,
>
>--
>"Esta vez no fallaremos, Doctor Infierno"
>
>Dr Diego R. Lopez
>Telefonica I+D
>http://people.tid.es/diego.lopez/
>
>e-mail: [email-masked]
>Tel:    +34 913 129 041
>Mobile: +34 682 051 091
>-----------------------------------------
>
>
>________________________________
>
>Este mensaje se dirige exclusivamente a su destinatario. Puede consultar
>nuestra política de envío y recepción de correo electrónico en el enlace
>situado más abajo.
>This message is intended exclusively for its addressee. We only send and
>receive email on the basis of the terms set out at:
>http://www.tid.es/ES/PAGINAS/disclaimer.aspx